#!/usr/bin/env bash

# Install ClamAV with SELinux support

# If we haven't read functions.sh by now, then read it
if [ "x$ZTFUNCTIONS" = "x" ]; then
  if [ -f lib/functions.sh ]; then
    . lib/functions.sh
  elif [ -f ../lib/functions.sh ]; then
    cd ..
    . lib/functions.sh
  else
    echo 'Sorry, I need to be able to source functions.sh first.'
    echo Exiting...
    exit 1
  fi
fi

shout
shout =================================================================
shout
shout 'Install and configure ClamAV'
shout
shout =================================================================
shout
pause

# Install the RPMs we need
shout Installing ClamAV
pkg install --yes clamav

shout and enable clamd and freshclam at next boot
sysrc clamav_clamd=YES
sysrc clamav_freshclam=YES

shout "Adding www and clamav to each other's groups"
# Add www to the group clamav
pw group mod clamav -m www
# Add clamav to the group www
pw group mod www -m clamav
shout "And add www to the virusgroup if it exists"
# And if the "virusgroup" group exists, add www to that too
pw group mod virusgroup -m www 2>/dev/null

pause

shout
shout Ignore warnings about the virus database being old.
shout Ignore warnings about not being able to notify clamd.
pause
shout
shout 'Do not worry if the next bit (updating Clam signatures)'
shout 'takes a while and a few attempts. It will get there in the end.'
freshclam

shout
shout ClamAV has been setup for you to work with ZendTo.
shout

exit 0

